{% extends "base.html" %}

{% block styles %}
<link rel="stylesheet" href="{{url_for('static',filename='css/playlist.css')}}">
{% endblock %}

{% block body %}

<body class="d-flex flex-grow-1 flex-fill">
    <div class="d-flex flex-grow-1" id="wrapper">
        {% include "components/sidebar.html" %}
        <div class="d-flex flex-grow-1 flex-fill page-content-wrapper" id="main">
            <div class="container-fluid">
                {%include "components/navbar.html" %}
                <div id="divMain">
                    <button class="btn btn-primary" type="button" id="back"
                        onclick="window.location.href = '/connected/playlist';"><img
                            src="{{url_for('static',filename='img/angle-left-solid.svg')}}" id="imgBack"></button>
                    <h1 class="text-center" id="titrePlaylist">Playlist</h1>
                    <div class="d-xl-flex justify-content-xl-center align-items-xl-center" id="divImg"><img
                            src="{{playlist.urlImage}}">
                        <p id="pseudoPlaylist">{{playlist.nom}}</p>
                    </div>
                    <div style="text-align:center;">
                        <a class="popup">
                            <button class="btn btn-primary d-xl-flex justify-content-xl-center" type="button"
                                style="background: #214a80;" onclick="fonctionPopUp()">Modifier</button>
                            <div class="popuptext" id="myPopup">
                                <p class=titrepopup>Modification de playlist</p>
                                <form method="POST" action="/connected/playlist/{{playlist.nom}}/modif">
                                    <ul class="boutonPop">
                                        <li><label>Titre:</label><input type="text" class="form-control" name="nom"
                                                placeholder="Entrez le titre de votre playlist" value="{{playlist.nom}}"
                                                required /></li>
                                        <li><label>Image:</label><input type="text" class="form-control" name="image"
                                                placeholder="Entrez l'URL d'une image" value="{{playlist.urlImage}}" />
                                        </li>
                                        <li>
                                            <div><button class="btn btn-primary" type="submit"
                                                    id="buttonImg">Valider</button></div>
                                        </li>
                                    </ul>
                                </form>
                            </div>
                        </a>
                        <div class="popup">
                            <button class="btn btn-danger d-xl-flex justify-content-xl-center" type="button"
                                onclick="fonctionPopUpsuppr()">Supprimer</button>
                            <div class="popuptext" id="myPopupsuppr">
                                <div class="boutonPop">
                                    <span> Vous ne pourrez plus revenir en arrière. Voulez-vous poursuivre ? <button
                                            class="btn btn-primary" type="submit" style="background: #214a80;"
                                            onclick="window.location.href = '/connected/playlist/{{playlist.nom}}/delete';">
                                            Oui
                                        </button></span>
                                </div>
                                </form>
                            </div>
                        </div>
                        {% with messages = get_flashed_messages() %}
                        {% if messages %}
                        <div class="notification is-danger" style="text-align:center;">
                            <p style="font-size:24px;color: white;margin-top: 0;">{{ messages[0] }}</p>
                        </div>
                        {% endif %}
                        {% endwith %}
                        <div id="info">
                            <ul class="d-xl-flex align-items-xl-center" id="content">
                                <li class="align-content-center">
                                    <div class="d-xl-flex justify-content-center align-items-xl-center">
                                        <p class="d-xl-flex justify-content-xl-center">Date de création:</p>
                                        <p>{{playlist.dateCreation}}</p>
                                    </div>
                                </li>
                                <li class="align-content-center">
                                    <div class="d-xl-flex justify-content-center align-items-xl-center">
                                        <p class="d-xl-flex justify-content-xl-center">Nombre de titres:</p>
                                        <p>{{nbTitres}}</p>
                                    </div>
                                </li>
                                <li class="align-content-center">
                                    <div class="d-xl-flex justify-content-center align-items-xl-center">
                                        <p class="d-xl-flex justify-content-xl-center">Durée total:</p>
                                        <p>{{dureeTotal}}</p>
                                    </div>
                                </li>
                            </ul>
                        </div>
                        <div>
                            <div class="table-responsive" id="table">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Titre</th>
                                            <th>Artiste</th>
                                            <th>Album</th>
                                            <th>Durée</th>
                                            <th>Option</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {% set count = namespace(value=0) %}
                                        {% for musique in playlistContenu %}
                                        {% set count.value = count.value + 1 %}
                                        {% set artist = funcArtist(musique.auteur_id) %}
                                        {% set album = funcAlbum(musique.album_id) %}
                                        <tr>
                                            <td>{{count.value}}</td>
                                            <td>{{musique.titre}}</td>
                                            <td>{{artist.nom}}</td>
                                            <td>{{album.titre}}</td>
                                            <td>{{musique.duree}}</td>
                                            <td><button
                                                    onclick="window.location.href = '/connected/playlist/{{playlist.nom}}/remove/{{musique.id}}';" title="Supprimer"><i
                                                        class="fa fa-times" aria-hidden="true"></i></button></td>
                                        </tr>
                                        {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

                {% block script %}
                <script src="{{url_for('static',filename='js/jquery.min.js')}}"></script>
                <script src="{{url_for('static',filename='bootstrap/js/bootstrap.min.js')}}"></script>
                <script src="{{url_for('static',filename='js/bs-init.js')}}"></script>
                <script
                    src="{{url_for('static',filename='js/-Fixed-Navbar-start-with-transparency-background-BS4-.js')}}">
                    </script>
                <script src="{{url_for('static',filename='js/Sidebar-Menu.js')}}"></script>
                <script>
                    // When the user clicks on div, open the popup
                    function fonctionPopUp() {
                        var popup = document.getElementById("myPopup");
                        popup.classList.toggle("show");
                    }
                    function fonctionRecherche() {
                        var popup = document.getElementById("myPopupRecherche");
                        popup.classList.toggle("show");
                    }
                    function fonctionPopUpsuppr() {
                        var popup = document.getElementById("myPopupsuppr");
                        popup.classList.toggle("show");
                    }
                </script>
                {% endblock %}
</body>
{% endblock %}